# module Time::Format::RFC_3339

##
Overview

The RFC 3339 datetime format (ISO 8601 profile).

    Time::Format::RFC_3339.format(Time.utc(2016, 2, 15, 4, 35, 50)) # => "2016-02-15T04:35:50Z"

    Time::Format::RFC_3339.parse("2016-02-15T04:35:50Z") # => 2016-02-15 04:35:50Z
    Time::Format::RFC_3339.parse("2016-02-15 04:35:50Z") # => 2016-02-15 04:35:50Z

##
Defined in:

time/format/custom/rfc_3339.cr

##
Class Method Summary

- .format(time : Time, io : IO, fraction_digits = 0, *, preferred_separator = 'T')

  Formats a `Time` into the given io.

- .format(time : Time, fraction_digits = 0, *, preferred_separator = 'T') : String

  Formats a `Time` into a `String`.

- .parse(string, location = Time::Location::UTC) : Time

  Parses a string into a `Time`.

##
Class Method Detail

def self.format(time : Time, io : IO, fraction_digits = 0, *, preferred_separator = 'T') #

Formats a `Time` into the given io.

def self.format(time : Time, fraction_digits = 0, *, preferred_separator = 'T') : String #

Formats a `Time` into a `String`.

def self.parse(string, location = Time::Location::UTC) : Time #

Parses a string into a `Time`.